            #GIT_CMT=f87a8e6a61a8ede5eed6530f961a4e80c8cd7bf8
%define uek2epoch 2
%define uek4epoch 4
%define uek5epoch 5

%define RELEASE 1.0.3
%{?el7:%define uektag uek4}

Summary: OpenFabrics Alliance InfiniBand umad (user MAD) library
Name: libibumad
Epoch: %{uek4epoch}
Version: 1.3.10.2
Release: %{RELEASE}%{?dist}%{?uektag}
License: GPLv2 or BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: libibumad-1.3.10.2.tar.bz2
Url: http://openfabrics.org
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires: libtool

%description
libibumad provides the user MAD library functions which sit on top of
the user MAD modules in the kernel. These are used by the IB diagnostic
and management tools, including OpenSM.

%package devel
Summary: Development files for the libibumad library
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description devel
Development files for the libibumad library.

%package static
Summary: Static version of the libibumad library
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release}

%description static
Static version of the libibumad library.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libibumad*.so.*
%{_mandir}/man3/*
%doc AUTHORS COPYING ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/libibumad.so
%{_includedir}/infiniband/*.h

%files static
%defattr(-,root,root)
%{_libdir}/libibumad.a

%changelog
* Mon Jun 11 2018 Aron Silverton <aron.silverton@oracle.com> - 4:1.3.10.2-1.0.3uek4
- libibumad: Release v4:1.3.10.2-1.0.3 (Aron Silverton)  [Orabug: 27593051] [Orabug: 27934606] 
- libibumad: Add "uek4" token to OL7 package (Aron Silverton)  [Orabug: 27934606] 
- libibumad: Add Epoch to package versioning (Aron Silverton)  [Orabug: 27593051] 

* Tue May 01 2018 Aron Silverton <aron.silverton@oracle.com> - 1.3.10.2-1.0.2
- libibumad: Consolidate OL6 and OL7 spec files (Aron Silverton)  [Orabug:
  25978222]

